<?php
$sub_menu = "777200";
include_once('./_common.php');

include_once(AMINA_PATH.'/lib/admin.lib.php');

include_once(AMINA_PATH.'/lib/head.lib.php');

include(G5_PATH.'/head.sub.php');

?>
<link rel="stylesheet" href="<?=AMINA_URL?>/css/admin.css" />

<div style="padding:15px;">

	<b>■ 아미나스킨 회원사진 정리하기</b>

	<? if($act) { ?>

		<?
			//탈퇴 또는 차단회원 사진 정리
			$sql = " select mb_id from {$g5['member_table']} where mb_leave_date <> '' or mb_intercept_date <> '' ";
			$result = sql_query($sql);
			for ($i=0; $row=sql_fetch_array($result); $i++) {
				$mb_photo = G5_DATA_PATH.'/mb_photo/'.$row['mb_id'];
				if(file_exists($mb_photo)) {
					@unlink($mb_photo);
				}
			}
		
			//회원사진 등록하기
			$arr = array();
			$handle = opendir(G5_DATA_PATH.'/mb_photo');
			while ($file = readdir($handle)) {
				if($file != '.' && $file != '..' && $file != 'temp') {
					$arr[] = $file;
				}
		    }
		    closedir($handle);

			$mb_cnt = count($arr);
			
			for($i=0; $i < $mb_cnt; $i++) {
				$row = sql_fetch(" select mb_id from {$g5['member_table']} where mb_id = '{$arr[$i]}' ");
				if($row['mb_id']) {
					sql_query(" update {$g5['member_table']} set mb_6 = '1' where mb_id = '{$row['mb_id']}' ");
				} else {
					@unlink(G5_DATA_PATH.'/mb_photo/'.$arr[$i]);
				}
			}

		?>
		<script type="text/javascript"> 
			alert('회원사진 정리가 완료되었습니다.');
			opener.location.reload(); 
			window.close(); 
		</script>
	<? } else { ?>
		<ul style="line-height:1.8;">
			<li>존재하지 않거나 탈퇴 또는 차단된 회원사진을 삭제합니다.</li>
			<li>회원사진을 등록하였으나 DB에 반영되지 않는 회원정보를 업데이트합니다.</li>
		</ul>
		<script type="text/javascript"> 
			function set_href(href) {
				document.getElementById('loading').style.display = "block";
				document.location.href = encodeURI(href);
			}
		</script>
		<p style="text-align:center;">
			<input type="button" value=" 회원사진 정리하기 " onclick="set_href('<?=AMINA_URL?>/reset.photo.php?bo_table=<?=$bo_table?>&act=on');" class="btn_blue">
		</p>
	<? } ?>
</div>
<div id="loading" style="display:none;margin-top:30px; text-align:center;">
		<img src="<?=AMINA_URL?>/img/loader.gif" />
		<p>정리 중...</p>
</div>
<? include(G5_PATH.'/tail.sub.php'); ?>